Subject: [solved] mail not delivered once upgraded to RedHat 7.0

From: "Fred LB" <[email-masked]>
Date: Tue, 17 Oct 2000 16:24:27 +0200

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

Hi all, and thanks for your help.

The problem i had was, as suspected, a sendmail misconfiguration : in RH
7.0, the /etc/sendmail.cw file is not used, and replaced by
/etc/mail/local-host-names, which I misconfigured !

This file is supposed to handle the aliases of your box, and i added all the
domains I recieve mail for !

So that sendmail tried to deliver mail locally, instead of using mailertable
!

Now it works, i'm glad :-)

Fred

Frederic Le Bastard
Administrateur systeme - developpement web
Tel : 02 40 35 32 32
Fax : 02 40 12 18 74
[email-masked]
Decouvrez notre site web : http://www.strathom.com

> -----Message d'origine-----
> De : [email-masked]
> [mailto:[email-masked]]De
> la part de Naresh Narang
> Envoye : vendredi 13 octobre 2000 21:45
> A : Frederic Le Bastard; 'Mike Kercher'
> Cc : [email-masked]
> Objet : RE: mail not delivered once upgraded to RedHat 7.0
>
>
> [To be removed from this list send the message "unsubscribe
> fwtk-users" in the
> BODY of a mail message to [email-masked].]
>
> Copy your mailertable files also. Make sure your DNS
> is working.
>
> NKN
>
> --- Fred LB <[email-masked]> wrote:
>  > [To be removed from this list send the message
>  > "unsubscribe fwtk-users" in the
>  > BODY of a mail message to [email-masked].]
>  >
>  > Hi, and thank you for you answer.
>  >
>  > As i explained, i just moved my working config files
>  > from a working RH 6.2
>  > box to a new RH 7.0 box.
>  >
>  > My mailhub is declared in the sendmail.cw file, but
>  > not in the sendmail.cf.
>  > (but this works on my actual box !)
>  >
>  > Thanks for your help :)
>  >
>  > Fridiric Le Bastard
>  > Administrateur systhme - diveloppement web
>  > Til : 02 40 35 32 32
>  > Fax : 02 40 12 18 74
>  > [email-masked]
>  > Dicouvrez notre site web : http://www.strathom.com
>  >
>  >
>  >
>  > > -----Message d'origine-----
>  > > De : Mike Kercher [mailto:[email-masked]]
>  > > Envoyi : jeudi 12 octobre 2000 19:59
>  > > @ : Frederic Le Bastard
>  > > Objet : RE: mail not delivered once upgraded to
>  > RedHat 7.0
>  > >
>  > >
>  > > Did you specify your mailhub in /etc/sendmail.cf?
>  > >
>  > > -----Original Message-----
>  > > From: [email-masked]
>  > > [mailto:[email-masked]]On
>  > > Behalf Of Fred LB
>  > > Sent: Thursday, October 12, 2000 10:45 AM
>  > > To: [email-masked]
>  > > Subject: mail not delivered once upgraded to
>  > RedHat 7.0
>  > >
>  > >
>  > > [To be removed from this list send the message
>  > "unsubscribe
>  > > fwtk-users" in
>  > > the
>  > > BODY of a mail message to [email-masked].]
>  > >
>  > > Hi all,
>  > >
>  > > We recentely decide to move our strategic gateway
>  > (old
>  > > Pentium 75) to a
>  > > brand new Compaq server.
>  > > I installed the new compaq with a redhat 7.0 (was
>  > redhat 6.2
>  > > on the old
>  > > P75).
>  > > I moved all the stuff (FWTK binaires, config files
>  > ...) from
>  > > the old serv to
>  > > the new one.
>  > >
>  > > Everything seems to work fine, except sendmail :
>  > when i get
>  > > an inbound mail,
>  > > smap handles it correctly, but it looks like
>  > sendmail doesn't want to
>  > > deliver it to my exchange server (my mailhub), but
>  > tries to deliver it
>  > > locally, which of course doesn't work.
>  > >
>  > > What did i forget ? I strongly suspect a sendmail
>  > > misconfiguration, but i
>  > > haven't got a serious clue !
>  > >
>  > > My maillog follows :
>  > > Oct 12 16:44:14 firewall sendmail[1503]:
>  > e9CEOnI01503:
>  > > from=[email-masked],
>  > > size=167, class=0, nrcpts=0,
>  > >
>  >
> msgid=<[email-masked]>,
>  > > relay=nobody@localhost
>  > > Oct 12 16:44:14 firewall sendmail[1503]:
>  > e9CEOnI01503:
>  > > to=[email-masked],
>  > > delay=00:02:25, mailer=local, pri=167, dsn=4.4.3,
>  > stat=queued
>  > > Oct 12 16:45:26 firewall sendmail[812]:
>  > e9CEOnI01503:
>  > > e9CEi7700812: DSN:
>  > > User unknown
>  > >
>  > >
>  > > If anyone has an idea ... i'd be graceful :-)
>  > >
>  > > Thanks in advance
>  > >
>  > > Fred
>  > >
>  > >
>  > > Fridiric Le Bastard
>  > > Administrateur systhme - diveloppement web
>  > > Til : 02 40 35 32 32
>  > > Fax : 02 40 12 18 74
>  > > [email-masked]
>  > > Dicouvrez notre site web : http://www.strathom.com
>  > >
>  > >
>  >
>
>
> =====
> -- Naresh
>
> __________________________________________________
> Do You Yahoo!?
> Get Yahoo! Mail - Free email you can access from anywhere!
> http://mail.yahoo.com/
>